summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/fleep/Manifest1
-rw-r--r--dev-python/fleep/fleep-1.0.1-r1.ebuild33
-rw-r--r--dev-python/fleep/fleep-9999.ebuild27
3 files changed, 52 insertions, 9 deletions
diff --git a/dev-python/fleep/Manifest b/dev-python/fleep/Manifest
index 3e8410b504738..a93cb40682fdd 100644
--- a/dev-python/fleep/Manifest
+++ b/dev-python/fleep/Manifest
@@ -1 +1,2 @@
+DIST fleep-1.0.1.gh.tar.gz 197438 BLAKE2B cf099a941d63443a9ee314727966ae95e143acc2f33f7760fe34772d4a2d371af534c029ad207b7727d34e7472c9396b3fc1e9c82066d98ae248dd4f7bd430d7 SHA512 ea287b9cec0f88f378b6c2f248938417e7e51b004a03bb4421611f9cbdae7b97cf1c02b5096c491df934922d906812daadab02d46ae49e64dc2a2a880ab4d87e
DIST fleep-1.0.1.tar.gz 6547 BLAKE2B 75ede77464e32404b3e1229adc9484d1d44b33323ed18f4be5275ffd1c8f63863459f46ff9cbf4f90d0e1387c0e5c967cce13ac8f6ce65710709dd227c04df89 SHA512 ba56f3a6c99f4c793e9f5c4ec04f7a96effabeadd92b18aeb7689a75d8504ccfca086db635d33e358ea9f67887e904c141e259ce2e9b9f3ea77f9e24c1b0eb27
diff --git a/dev-python/fleep/fleep-1.0.1-r1.ebuild b/dev-python/fleep/fleep-1.0.1-r1.ebuild
new file mode 100644
index 0000000000000..cce82c31af2c6
--- /dev/null
+++ b/dev-python/fleep/fleep-1.0.1-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://github.com/floyernick/fleep-py.git"
+ inherit git-r3
+else
+ # upstream aren't tagging the releases, just as commit title
+ COMMIT="994bc2c274482d80ab13d89d8f7343eb316d3e44"
+ # Note: On next bump, remove gh suffix from SRC_URI - was added just for tests
+ SRC_URI="https://github.com/floyernick/fleep-py/archive/${COMMIT}.tar.gz
+ -> ${P}.gh.tar.gz"
+ S="${WORKDIR}/fleep-py-${COMMIT}"
+
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="File format determination library for Python"
+HOMEPAGE="https://github.com/floyernick/fleep-py"
+
+LICENSE="MIT"
+SLOT="0"
+
+python_test() {
+ cd tests || die
+ "${EPYTHON}" maintest.py || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/fleep/fleep-9999.ebuild b/dev-python/fleep/fleep-9999.ebuild
index 0171f1ef7528a..68f31790d687d 100644
--- a/dev-python/fleep/fleep-9999.ebuild
+++ b/dev-python/fleep/fleep-9999.ebuild
@@ -1,23 +1,32 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
-DESCRIPTION="File format determination library for Python"
-HOMEPAGE="https://github.com/floyernick/fleep-py"
-
-if [ "${PV}" = "9999" ]; then
+if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://github.com/floyernick/fleep-py.git"
inherit git-r3
else
- SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ # upstream aren't tagging the releases, just as commit title
+ COMMIT="994bc2c274482d80ab13d89d8f7343eb316d3e44"
+ SRC_URI="https://github.com/floyernick/fleep-py/archive/${COMMIT}.tar.gz
+ -> ${P}.tar.gz"
+ S="${WORKDIR}/fleep-py-${COMMIT}"
+
KEYWORDS="~amd64 ~x86"
fi
+DESCRIPTION="File format determination library for Python"
+HOMEPAGE="https://github.com/floyernick/fleep-py"
+
LICENSE="MIT"
SLOT="0"
-IUSE=""
+
+python_test() {
+ cd tests || die
+ "${EPYTHON}" maintest.py || die "Tests fail with ${EPYTHON}"
+}